TQScintilla: TQextScintillaLexerDiff Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerDiff Class Reference

The TQextScintillaLexerDiff class encapsulates the Scintilla Diff lexer. More...

`#include <tqextscintillalexerdiff.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Command = 2
- Header = 3
- Position = 4
- LineRemoved = 5
- LineAdded = 6
- enum {
  Default = 0, Comment = 1, Command = 2,
  Header = 3, Position = 4, LineRemoved = 5,
  LineAdded = 6
  }

## Public Member Functions

- TQextScintillaLexerDiff (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerDiff ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- TQString description (int style) const

## Detailed Description

The TQextScintillaLexerDiff class encapsulates the Scintilla Diff lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Diff lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Command | A command.
  Header | A header.
  Position | A position.
  LineRemoved | A removed line.
  LineAdded | An added line.

## Constructor & Destructor Documentation

TQextScintillaLexerDiff::TQextScintillaLexerDiff | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerDiff with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerDiff::~TQextScintillaLexerDiff | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerDiff instance.

## Member Function Documentation

const char* TQextScintillaLexerDiff::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerDiff::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerDiff::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerDiff::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.